--- title: "changeLoadBalancerInstanceConfiguration" slug: "networking-vloadbalancer-loadbalancer-changeloadbalancerinstanceconfiguration" tags: ["Load Balancer"] updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-changeloadbalancerinstanceconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeLoadBalancerInstanceConfiguration Available in VPC Change load balancer instance settings. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/changeLoadBalancerInstanceConfiguration | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer instance whose settings you want to change - First Region of the getRegionList query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `loadBalancerInstanceNo` | String | Required | Load balancer instance number - See [getLoadBalancerInstanceList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerinstancelist) | | `throughputTypeCode` | String | Conditional | Load handling performance type - `SMALL` (default) \| `MEDIUM` \| `LARGE` \| `DYNAMIC`\| `XLARGE` - The values that can be selected are limited depending on the type of load balancer - Application, Network Proxy Load Balancer: `SMALL` (default) \| `MEDIUM` \| `LARGE`\| `XLARGE` - Network Load Balancer: `DYNAMIC` (default) | | `idleTimeout` | Integer | Conditional | Connection retention time (second) - 1 - 3600 (default: 60) - Can't be configured if the load balancer type is `NETWORK` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/changeLoadBalancerInstanceConfiguration?regionCode=KR&loadBalancerInstanceNo=********&throughputTypeCode=SMALL&idleTimeout=60' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [LoadBalancerInstanceList](/docs/en/common-vapidatatype-loadbalancerinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 2b183b0f-b67f-433f-9660-58f23a590c69 0 success 1 ******** USED LB USED state CHANG LB CHANGE OP Changing 2024-06-03T17:09:52+0900 YOUR_LOAD_BALANCER ***.com **.*.*.* APPLICATION Application Load Balancer PRIVATE Private SMALL Small 60 ***** KR ****** KR-1 ****** ****** ```